GPT Image 2.5 Edit
ਇੰਟੀਗ੍ਰੇਟ ਕਰੋ
openai/gpt-image-2.5/flare/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openai/gpt-image-2.5/flare/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
],
"quality": "medium",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openai/gpt-image-2.5/flare/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pa/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "openai/gpt-image-2.5/flare/edit",
"input": {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}
}
Doitong API ਰਾਹੀਂ GPT Image 2.5 Edit ਮਾਡਲ (openai/gpt-image-2.5/flare/edit) ਨੂੰ ਕਾਲ ਕਰੋ। ਏਜੰਟਾਂ ਲਈ ਦਸਤਾਵੇਜ਼: https://doitong.com/pa/developers/models/openai/gpt-image-2.5/flare/edit.md
POST https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}
ਜੇ ਜਵਾਬ ਦੀ ਸਥਿਤੀ "queued" ਜਾਂ "running" ਹੈ, ਤਾਂ GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 ਨੂੰ ਉਦੋਂ ਤੱਕ ਪੋਲ ਕਰੋ ਜਦੋਂ ਤੱਕ ਇਹ "succeeded" ਨਾ ਹੋ ਜਾਵੇ; ਫ਼ਾਈਲਾਂ outputs[].url ਵਿੱਚ ਹਨ। ਉਸੇ ਬਾਡੀ ਨਾਲ POST https://vit.doitong.com/api/v1/quote/openai/gpt-image-2.5/flare/edit ਚਲਾਉਣ ’ਤੇ ਰਨ ਤੋਂ ਪਹਿਲਾਂ ਸਹੀ ਕੀਮਤ ਮਿਲ ਜਾਂਦੀ ਹੈ।
ਇਹ ਬੇਨਤੀ: ≈$0.12 120 API ਕ੍ਰੈਡਿਟ ਇਸ ਪੰਨੇ ’ਤੇ ਚਲਾਓ
ਤੁਹਾਡੀ ਨਵੀਂ API ਕੁੰਜੀ। ਇਹ ਸਿਰਫ਼ ਹੁਣ ਦਿਖਾਈ ਜਾਂਦੀ ਹੈ ਅਤੇ ਪਹਿਲਾਂ ਹੀ ਕੋਡ ਅਤੇ ਹੇਠਾਂ ਦਿੱਤੇ API ਕੁੰਜੀ ਖੇਤਰ ਵਿੱਚ ਮੌਜੂਦ ਹੈ। ਇਸਨੂੰ ਗੁਪਤ ਰੱਖੋ: ਇਸਨੂੰ ਕਦੇ ਵੀ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਚੱਲਣ ਵਾਲੇ ਕੋਡ ਵਿੱਚ ਨਾ ਰੱਖੋ।
ਤੁਹਾਡਾ ਪਹਿਲਾ ਨਤੀਜਾ ਇੱਥੇ ਹੋਵੇਗਾ
ਹੇਠਾਂ ਬੇਨਤੀ ਬਣਾਓ ਅਤੇ ਆਪਣੀ API ਕੁੰਜੀ ਨਾਲ ਚਲਾਓ। ਆਉਟਪੁੱਟ ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਕਾਪੀ ਕੀਤੇ ਜਾਂਦੇ ਹਨ ਅਤੇ ਹਮੇਸ਼ਾ ਲਈ ਜਾਂ ਮੁਫ਼ਤ ਵਿੱਚ 7 ਦਿਨ ਤੱਕ ਰੱਖੇ ਜਾਂਦੇ ਹਨ।
ਰਿਕਵੈਸਟ ਬਣਾਓ
ਕੰਟਰੋਲ ਮਾਡਲ ਸਕੀਮਾ ਤੋਂ ਤਿਆਰ ਹੁੰਦੇ ਹਨ। ਤੁਸੀਂ ਬਦਲਾਅ ਕਰਦੇ ਹੀ ਕੋਡ ਅਤੇ ਕੀਮਤ ਅੱਪਡੇਟ ਹੋ ਜਾਂਦੇ ਹਨ।
/run/openai/gpt-image-2.5/flare/edit?wait=20
ਕੋਟ → $0.12
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openai/gpt-image-2.5/flare/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
],
"quality": "medium",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openai/gpt-image-2.5/flare/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "openai/gpt-image-2.5/flare/edit",
"input": {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
},
"wait_seconds": 20
}
}
}
ਇਹ ਬੇਨਤੀ ਚਲਾਓ
ਤੁਹਾਡੀ key ਇਸ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਰਹਿੰਦੀ ਹੈ: ਇਹ ਸਿਰਫ਼ Doitong API ਨੂੰ ਭੇਜੀ ਜਾਂਦੀ ਹੈ ਅਤੇ ਸਿਰਫ਼ ਤਾਂ ਹੀ (localStorage) ਵਿੱਚ ਸੁਰੱਖਿਅਤ ਹੁੰਦੀ ਹੈ ਜੇ ਤੁਸੀਂ Remember ਚੁਣੋ। API ਕੁੰਜੀ ਪ੍ਰਾਪਤ ਕਰੋ
GPT Image 2.5 Edit ਬਾਰੇ
GPT Image 2.5 ਦਾ ਸੰਪਾਦਨ ਮੋਡ: ਬਦਲਾਅ ਦਾ ਵਰਣਨ ਕਰੋ ਅਤੇ ਵੱਧ ਤੋਂ ਵੱਧ 16 ਹਵਾਲਾ ਚਿੱਤਰ ਭੇਜੋ, ਵਿਕਲਪਿਕ ਤੌਰ 'ਤੇ ਇੱਕ ਮਾਸਕ ਸਮੇਤ ਜੋ ਉਸ ਖੇਤਰ ਨੂੰ ਸੀਮਿਤ ਕਰਦਾ ਹੈ ਜਿੱਥੇ ਮਾਡਲ ਪੇਂਟ ਕਰ ਸਕਦਾ ਹੈ। ਪਾਰਦਰਸ਼ੀ ਪਿਛੋਕੜ, ਪੰਜ ਗੁਣਵੱਤਾ ਪੱਧਰ ਅਤੇ ਹਰ ਬੇਨਤੀ ਲਈ ਵੱਧ ਤੋਂ ਵੱਧ ਦਸ ਨਤੀਜਿਆਂ ਦਾ ਸਮਰਥਨ ਕਰਦਾ ਹੈ।
ਪੈਰਾਮੀਟਰ
ਕੈਨੋਨਿਕਲ ਨਾਮ ਜਾਂ ਨੇਟਿਵ ਨਾਮ ਵਿੱਚੋਂ ਕੋਈ ਇੱਕ ਭੇਜੋ, ਦੋਵੇਂ ਨਹੀਂ। ਕੈਨੋਨਿਕਲ ਨਾਮ
promptਲੋੜੀਂਦਾ
image_urlsਲੋੜੀਂਦਾ
images
mask_urlਵਿਕਲਪਿਕ
mask
image_sizeਵਿਕਲਪਿਕ
backgroundਵਿਕਲਪਿਕ
qualityਵਿਕਲਪਿਕ
num_imagesਵਿਕਲਪਿਕ
num_outputs
output_formatਵਿਕਲਪਿਕ
output_compressionਵਿਕਲਪਿਕ
ਫ਼ਾਈਲ ਪੈਰਾਮੀਟਰ ਜਨਤਕ https:// URL, 10 MB ਤੱਕ ਦਾ data: URI, ਜਾਂ ਅੱਪਲੋਡ ਦੇ file_url ਨੂੰ ਸਵੀਕਾਰਦੇ ਹਨ। ਫ਼ਾਈਲਾਂ
ਆਉਟਪੁੱਟ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "openai/gpt-image-2.5/flare/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 120,
"usd": "0.12",
"charged": 120,
"refunded": 0
},
"input": {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ਆਉਟਪੁੱਟ ਦੇ ਫ਼ੀਲਡ
- images
- array of object {url, content_type, file_name, file_size, width, height}ਮਾਡਲ ਦੁਆਰਾ ਤਿਆਰ ਕੀਤੇ ਚਿੱਤਰ।
ਹੋਰ GPT Image 2.5 ਵੈਰੀਐਂਟ
ਹੋਰ ਮਾਡਲ: ਚਿੱਤਰ ਸੰਪਾਦਨ
AI ਏਜੰਟਾਂ ਲਈ: ਇਹ ਪੰਨਾ Markdown ਵਜੋਂ ਇੱਥੇ ਹੈ https://doitong.com/pa/developers/models/openai/gpt-image-2.5/flare/edit.md. ਸਾਰੇ ਮਾਡਲ ਅਤੇ ਗਾਈਡ: https://doitong.com/developers/llms.txt










